## onewebapp-window

### 安装
```npm
npm i onewebapp-window
```

### 介绍 
这是一个类似于window窗口的组件，可以拖拽移动，拖拽缩放 


### 使用
```vue
<template>
  <div>
    <window :title="窗口">
        <div>内容</div>
    </window>
  </div>
</template>

<script>
import window from 'onewebapp-window'

export default {
  components: {
    window
  }
}
</script>
```

### 传值

```vue
<window :title="窗口" :isrun="true" :isZoom="true"></window>
<!-- title: 标题 => String -->
<!-- isRun: 是否移动 默认true => Boolean -->
<!-- isZoom: 是否可以缩放， 默认true => Boolean -->
```


### 方法
```js
<window @closeFun="closeFun" @clickItem="clickItem"></window>

closeFun() {
  console.log('关闭时执行')
}

clickItem() {
  console.log("鼠标按下")
}

```

### 注意
```vue
// 若出现事件无法取消，则在父元素上添加事件

<div @mouseup="clearEvent">
    <window></window>
</div>

clearEvent() {
    document.onmousemove = null;
    document.onmouseup = null;
}
```


